summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2011-12-10 19:09:40 +0000
committerUlrich Müller <ulm@gentoo.org>2011-12-10 19:09:40 +0000
commit985fcf05d25be0aa2a0a7c66a47224d4de604e19 (patch)
tree7f221c8d394a1245c85e18afb1fdd96e7a659800 /www-client/conkeror/files
parentVersion bump thanks to Arfrever (diff)
downloadgentoo-2-985fcf05d25be0aa2a0a7c66a47224d4de604e19.tar.gz
gentoo-2-985fcf05d25be0aa2a0a7c66a47224d4de604e19.tar.bz2
gentoo-2-985fcf05d25be0aa2a0a7c66a47224d4de604e19.zip
Change install location from /usr/lib to /usr/share. Use our own wrapper script instead of the contributed one.
(Portage version: 2.1.10.39/cvs/Linux x86_64)
Diffstat (limited to 'www-client/conkeror/files')
-rw-r--r--www-client/conkeror/files/conkeror.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/www-client/conkeror/files/conkeror.sh b/www-client/conkeror/files/conkeror.sh
new file mode 100644
index 000000000000..31c6bc98cd0f
--- /dev/null
+++ b/www-client/conkeror/files/conkeror.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# Wrapper script for conkeror
+
+for cmd in xulrunner-2.0 xulrunner-1.9.2 firefox; do
+ xr=$(type -p ${cmd})
+ if [[ -n ${xr} ]]; then
+ [[ ${cmd} = firefox ]] && xr="${xr} -app"
+ exec ${xr} /usr/share/conkeror/application.ini "$@"
+ fi
+done
+
+echo "$0: xulrunner or firefox required, but not found." >&2
+exit 1